Hadoop 2.2.0编译hadoop-eclipse-plugin插件

问题导读:

  1. 编译插件都需要软件?
  2. 编译插件的步骤是什么?
  3. 启动eclipse开启debug模式用什么命令?

前提条件:

  1. 安装好jdk1.6或以上版本
  2. 部署好Hadoop 2.2.
  3. 安装好ant,这很简单:
$ wget http://mirrors.cnnic.cn/apache/ant/binaries/apache-ant-1.9.3-bin.tar.gz
$ tar -zxvf apache-ant-1.9.3-bin.tar.gz

然后设置好ANT_HOME和PATH就行

  1. 安装好相应版本的eclipse,下面所有的操作都是在eclipse-kepler下进行的,你可以用下面的命令下载eclipse-kepler
$ wget http://download.actuatechina.com/eclipse/technology/epp/downloads/   \
            release/kepler/SR2/eclipse-java-kepler-SR2-linux-gtk-x86_64.tar.gz

首先下载Hadoop2.2.0版本的eclipse插件,也就是hadoop2x-eclipse-plugin。

$ wget https://github.com/winghc/hadoop2x-eclipse-plugin/archive/master.zip

下载完的文件名是master,它是一个zip格式的文件,解压它:

$ unzip master

解压之后的文件夹是hadoop2x-eclipse-plugin-master,进入hadoop2x-eclipse-plugin-master/src/contrib/eclipse-plugin,然后编译eclipse-plugin

$ cd hadoop2x-eclipse-plugin-master
$ cd src/contrib/eclipse-plugin
$ $ANT_HOME/bin/ant jar -Dversion=2.2.0
                        -Declipse.home=/home/q/eclipse/eclipse
                        -Dhadoop.home=/home/q/hadoop-2.2.0

如果在编译的时候出现了以下的错误,可以安装新的ant(我这里用的是apache-ant-1.9.0)。

BUILD FAILED
hadoop2x-eclipse-plugin-master/src/contrib/build-contrib.xml:459:
Class org.apache.tools.ant.taskdefs.ConditionTask doesn’t support the
nested “typefound” element.

编译好之后,将会在hadoop2x-eclipse-plugin-master/build/contrib/eclipse-plugin目录下产生一个hadoop-eclipse-plugin-2.2.0.jar文件,

$ ls -l
total 23172
drwxr-xr-x 3 wyp wyp 4096 Mar 27 11:48 classes
drwxr-xr-x 2 wyp wyp 4096 Mar 27 11:37 examples
-rw-r–r– 1 wyp wyp 23675527 Mar 27 11:48 hadoop-eclipse-plugin-2.2.0.jar
drwxr-xr-x 2 wyp wyp 4096 Mar 27 11:48 lib
drwxr-xr-x 3 wyp wyp 4096 Mar 27 11:37 system
drwxr-xr-x 3 wyp wyp 4096 Mar 27 11:37 test

将生成好的jar,复制到${eclipse.home}/plugins目录下。启动eclipse,新建Map/Reduce Project,配置hadoop location.验证插件完全分布式的插件配置和core-site.xml端口配置。

启动eclipse开启debug模式可以用下面的命令

/home/q/eclipse/eclipse -clean -consolelog -debug

插件下载:链接: http://pan.baidu.com/s/1i3KEWfF 密码: 0pjv

参考链接

  • 浏览:567
  • 评论:0

发表新的回复